import request from '@/utils/request'

// 查询解除报警历史列表
export function listCab(query) {
  return request({
    url: '/project/cab/list',
    method: 'get',
    params: query
  })
}

// 查询解除报警历史详细
export function getCab(id) {
  return request({
    url: '/project/cab/' + id,
    method: 'get'
  })
}

// 新增解除报警历史
export function addCab(data) {
  return request({
    url: '/project/cab',
    method: 'post',
    data: data
  })
}

// 修改解除报警历史
export function updateCab(data) {
  return request({
    url: '/project/cab',
    method: 'put',
    data: data
  })
}

// 删除解除报警历史
export function delCab(id) {
  return request({
    url: '/project/cab/' + id,
    method: 'delete'
  })
}
